## deepin-icon-theme 15.12.56

=== Makefile ===
PREFIX = /usr

all: check

check: check-same-icon
	gtk-update-icon-cache deepin || exit 101
	gtk-update-icon-cache Sea || exit 101
	-rm -f deepin/icon-theme.cache
	-rm -f Sea/icon-theme.cache

check-name-unique:
	find deepin -name "*.svg" | xargs -n1 basename | sort | uniq -d | xargs -I '{}' find -name '{}'
check-same-icon:
	find deepin -type f | xargs md5sum | sort | uniq --check-chars=32 -d

prepare: check-name-unique check-same-icon
	mkdir -p build

build: prepare convert

convert:
	mkdir -p build
	python tools/convert.py deepin build

clean:
	rm -rf build

install: install-icons install-cursors hicolor-links
	@echo "Fix icon files permission"
	find $(DESTDIR)${PREFIX}/share/icons -type f -exec chmod 644 {} \;

install-icons:
	mkdir -p $(DESTDIR)$(PREFIX)/share/icons/deepin
	cp -r deepin/* $(DESTDIR)$(PREFIX)/share/icons/deepin
	mkdir -p $(DESTDIR)$(PREFIX)/share/icons/Sea
	cp -r Sea/* $(DESTDIR)$(PREFIX)/share/icons/Sea

install-cursors:
	mkdir -p $(DESTDIR)$(PREFIX)/share/icons/deepin
	cp -r deepin/cursors $(DESTDIR)$(PREFIX)/share/icons/deepin
	install -m644 deepin/cursor.theme $(DESTDIR)$(PREFIX)/share/icons/deepin/cursor.theme

hicolor-links:
	./tools/hicolor.links deepin hicolor.list $(DESTDIR)

=== debian/changelog ===
deepin-icon-theme (15.12.56-3) unstable; urgency=medium

  * Backport upstream patch to fix invalid Type in index.theme.
    Closes: #896601

 -- Boyuan Yang <073plan@gmail.com>  Mon, 23 Apr 2018 16:57:04 +0800

deepin-icon-theme (15.12.56-2) unstable; urgency=medium

  * Use team+pkg-deepin@tracker.debian.org in maintainer field.

 -- Boyuan Yang <073plan@gmail.com>  Sun, 22 Apr 2018 10:26:56 +0800

deepin-icon-theme (15.12.56-1) unstable; urgency=medium

  * New upstream release.
  * d/control: Update Standards-Version to 4.1.4.
  * d/control: Add new uploader Yanhao Mo <yanhaocs@gmail.com>.

 -- Yanhao Mo <yanhaocs@gmail.com>  Thu, 12 Apr 2018 08:15:32 +0800

deepin-icon-theme (15.12.54-1) unstable; urgency=medium

  * New upstream release.
  * Refresh copyright information.

 -- Boyuan Yang <073plan@gmail.com>  Fri, 23 Mar 2018 09:50:14 +0800

deepin-icon-theme (15.12.53-1) unstable; urgency=medium

  * New upstream release.
  * Apply "wrap-and-sort -abst".

 -- Boyuan Yang <073plan@gmail.com>  Thu, 15 Mar 2018 09:27:38 +0800

deepin-icon-theme (15.12.52+git20180126-2) unstable; urgency=medium

  * Create necessary directories in advance.
    Hope that this could fix the piuparts test error.
  * d/control: Use Salsa platform for Vcs links.

 -- Boyuan Yang <073plan@gmail.com>  Mon, 12 Feb 2018 18:13:05 +0800

deepin-icon-theme (15.12.52+git20180126-1) unstable; urgency=high

  * New upstream snapshot.
    + Fix file conflict with xfce4-power-manager-data. Closes: #888058
  * Fix package description, remove lintian override.

 -- Boyuan Yang <073plan@gmail.com>  Sat, 27 Jan 2018 11:49:11 +0800

deepin-icon-theme (15.12.52-1) unstable; urgency=medium

  * Initial release (Closes: #871978)

 -- Yangfl <mmyangfl@gmail.com>  Tue, 16 Jan 2018 15:54:51 +0800

=== debian/control ===
Source: deepin-icon-theme
Section: x11
Priority: optional
Maintainer: Debian Deepin Packaging Team <team+pkg-deepin@tracker.debian.org>
Uploaders:
 Yangfl <mmyangfl@gmail.com>,
 Boyuan Yang <073plan@gmail.com>,
 Yanhao Mo <yanhaocs@gmail.com>,
Standards-Version: 4.1.4
Build-Depends:
 debhelper (>= 11~),
 gtk-update-icon-cache,
Homepage: https://github.com/linuxdeepin/deepin-icon-theme
Vcs-Git: https://salsa.debian.org/pkg-deepin-team/deepin-icon-theme.git
Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/deepin-icon-theme

Package: deepin-icon-theme
Architecture: all
Depends:
 papirus-icon-theme,
 ${misc:Depends},
Description: Icon Theme for Deepin software and Deepin Desktop Environment
 Deepin Icon Theme is the default icon theme for DDE, based on Papirus icon
 theme. This package contains:
  * Deepin Icon Theme
  * Sea Icon Theme
  * Deepin Cursor Theme
 .
 This package is part of DDE (Deepin Desktop Environment).

## deepin-icon-theme 15.12.59

=== debian/changelog ===
deepin-icon-theme (15.12.59-2) unstable; urgency=medium

  * Recreate usr/share/icons/default since it's absence will cause
    piuparts test failed.

 -- Yanhao Mo <yanhaocs@gmail.com>  Thu, 09 Aug 2018 12:20:08 +0800

deepin-icon-theme (15.12.59-1) unstable; urgency=medium

  * New upstream version 15.12.59
  * Bump Standards-Version to 4.2.0 (no changes needed).
  * d/dirs: Remove usr/share/icons/default, it's empty.

 -- Yanhao Mo <yanhaocs@gmail.com>  Thu, 09 Aug 2018 10:47:26 +0800

deepin-icon-theme (15.12.58-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <073plan@gmail.com>  Sun, 24 Jun 2018 08:57:33 +0800

deepin-icon-theme (15.12.57-2) unstable; urgency=medium

  * d/control: Revert maintainer address to pkg-deepin-devel list.

 -- Boyuan Yang <073plan@gmail.com>  Sun, 03 Jun 2018 17:42:00 +0800

deepin-icon-theme (15.12.57-1) unstable; urgency=medium

  * New upstream release.
  * d/patches: Drop merged patches.

 -- Boyuan Yang <073plan@gmail.com>  Thu, 17 May 2018 10:44:43 +0800

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: deepin-icon-theme
 Section: x11
 Priority: optional
-Maintainer: Debian Deepin Packaging Team <team+pkg-deepin@tracker.debian.org>
+Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
 Uploaders:
  Yangfl <mmyangfl@gmail.com>,
  Boyuan Yang <073plan@gmail.com>,
  Yanhao Mo <yanhaocs@gmail.com>,
-Standards-Version: 4.1.4
+Standards-Version: 4.2.0
 Build-Depends:
  debhelper (>= 11~),
  gtk-update-icon-cache,

## deepin-icon-theme 15.12.64

=== Makefile ===
--- 
+++ 
@@ -5,13 +5,17 @@
 check: check-same-icon
 	gtk-update-icon-cache deepin || exit 101
 	gtk-update-icon-cache Sea || exit 101
+	gtk-update-icon-cache deepin-dark || exit 101
 	-rm -f deepin/icon-theme.cache
 	-rm -f Sea/icon-theme.cache
+	-rm -f deepin-dark/icon-theme.cache
 
 check-name-unique:
 	find deepin -name "*.svg" | xargs -n1 basename | sort | uniq -d | xargs -I '{}' find -name '{}'
+	find deepin-dark -name "*.svg" | xargs -n1 basename | sort | uniq -d | xargs -I '{}' find -name '{}'
 check-same-icon:
 	find deepin -type f | xargs md5sum | sort | uniq --check-chars=32 -d
+	find deepin-dark -type f | xargs md5sum | sort | uniq --check-chars=32 -d
 
 prepare: check-name-unique check-same-icon
 	mkdir -p build
@@ -34,6 +38,8 @@
 	cp -r deepin/* $(DESTDIR)$(PREFIX)/share/icons/deepin
 	mkdir -p $(DESTDIR)$(PREFIX)/share/icons/Sea
 	cp -r Sea/* $(DESTDIR)$(PREFIX)/share/icons/Sea
+	mkdir -p $(DESTDIR)$(PREFIX)/share/icons/deepin-dark
+	cp -r deepin-dark/* $(DESTDIR)$(PREFIX)/share/icons/deepin-dark
 
 install-cursors:
 	mkdir -p $(DESTDIR)$(PREFIX)/share/icons/deepin

=== debian/changelog ===
deepin-icon-theme (15.12.64-1) unstable; urgency=medium

  * New upstream release 15.12.64.
  * Bump Standards-Version to 4.2.1 (no changes needed).

 -- Boyuan Yang <byang@debian.org>  Wed, 14 Nov 2018 16:03:44 -0500

deepin-icon-theme (15.12.59-3) unstable; urgency=medium

  * Bump Standards-Version to 4.1.3 (no changes needed).
  * Update my uploader email and use the @debian.org one.

 -- Boyuan Yang <byang@debian.org>  Wed, 29 Aug 2018 15:11:35 -0400

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
 Uploaders:
  Yangfl <mmyangfl@gmail.com>,
- Boyuan Yang <073plan@gmail.com>,
+ Boyuan Yang <byang@debian.org>,
  Yanhao Mo <yanhaocs@gmail.com>,
-Standards-Version: 4.2.0
+Standards-Version: 4.2.1
 Build-Depends:
  debhelper (>= 11~),
  gtk-update-icon-cache,

## deepin-icon-theme 15.12.68

=== debian/changelog ===
deepin-icon-theme (15.12.68-1) unstable; urgency=medium

  * New upstream release 15.12.68.
  * debian/control:
    + Bump debhelper compat to v12.
    + Bump Standards-Version to 4.3.0.
  * debian/patches: Add a patch to restore install target.
    (Closes: #916761)

 -- Boyuan Yang <byang@debian.org>  Sun, 06 Jan 2019 04:41:38 -0500

deepin-icon-theme (15.12.67-1) unstable; urgency=medium

  * New upstream release 15.12.67.
  * debian/control:
    + R³: Use Rules-Requires-Root: no.
    + Build-depend on debhelper-compat (= 11) instead of using
      debian/compat file.
    + Build-depend on x11-apps as indicated upstream.
  * debian/postinst,prerm: Rename files as deepin-icon-theme.postinst
    and deepin-icon-theme.prerm to keep in sync with upstream.

 -- Boyuan Yang <byang@debian.org>  Mon, 17 Dec 2018 17:33:19 -0500

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,12 @@
  Yangfl <mmyangfl@gmail.com>,
  Boyuan Yang <byang@debian.org>,
  Yanhao Mo <yanhaocs@gmail.com>,
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Build-Depends:
- debhelper (>= 11~),
+ debhelper-compat (= 12),
  gtk-update-icon-cache,
+ x11-apps,
+Rules-Requires-Root: no
 Homepage: https://github.com/linuxdeepin/deepin-icon-theme
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/deepin-icon-theme.git
 Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/deepin-icon-theme
@@ -19,6 +21,8 @@
 Depends:
  papirus-icon-theme,
  ${misc:Depends},
+Provides:
+ sea-icon-theme,
 Description: Icon Theme for Deepin software and Deepin Desktop Environment
  Deepin Icon Theme is the default icon theme for DDE, based on Papirus icon
  theme. This package contains:

## deepin-icon-theme 15.12.71

=== Makefile ===
PREFIX = /usr

all: check cursor

cursor:
	cd cursors-src/loginspinner/ && make

check: check-same-icon check-perm
	gtk-update-icon-cache deepin || exit 101
	gtk-update-icon-cache deepin-dark || exit 101
	-rm -f deepin/icon-theme.cache
	-rm -f deepin-dark/icon-theme.cache

check-name-unique:
	find deepin -name "*.svg" | xargs -n1 basename | sort | uniq -d | xargs -I '{}' find -name '{}'
	find deepin-dark -name "*.svg" | xargs -n1 basename | sort | uniq -d | xargs -I '{}' find -name '{}'
check-same-icon:
	find deepin -type f | xargs md5sum | sort | uniq --check-chars=32 -d
	find deepin-dark -type f | xargs md5sum | sort | uniq --check-chars=32 -d

check-perm: hicolor-links
	@echo "Fix icon files permission"
	find deepin -type f -exec chmod 644 {} \;
	find deepin-dark -type f -exec chmod 644 {} \;

prepare: check-name-unique check-same-icon
	mkdir -p build

build: prepare convert

convert:
	mkdir -p build
	python tools/convert.py deepin build

clean:
	rm -rf build


install-icons:
	mkdir -p $(DESTDIR)$(PREFIX)/share/icons/deepin
	cp -r deepin/* $(DESTDIR)$(PREFIX)/share/icons/deepin
	mkdir -p $(DESTDIR)$(PREFIX)/share/icons/deepin-dark
	cp -r deepin-dark/* $(DESTDIR)$(PREFIX)/share/icons/deepin-dark

install-cursors:
	mkdir -p $(DESTDIR)$(PREFIX)/share/icons/deepin
	cp -r deepin/cursors $(DESTDIR)$(PREFIX)/share/icons/deepin
	install -m644 deepin/cursor.theme $(DESTDIR)$(PREFIX)/share/icons/deepin/cursor.theme

hicolor-links:
	./tools/hicolor.links deepin hicolor.list ./

=== cursors-src/loginspinner/Makefile ===
all: 
	xcursorgen spinner_48.conf ../../deepin/cursors/loginspinner
	xcursorgen spinner_96.conf ../../deepin/cursors/loginspinner@2x

=== debian/changelog ===
deepin-icon-theme (15.12.71-1) unstable; urgency=medium

  * New upstream release 15.12.71.
  * debian/control: Bump Standards-Version to 4.4.0.

 -- Boyuan Yang <byang@debian.org>  Mon, 05 Aug 2019 15:57:13 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Yangfl <mmyangfl@gmail.com>,
  Boyuan Yang <byang@debian.org>,
  Yanhao Mo <yanhaocs@gmail.com>,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Build-Depends:
  debhelper-compat (= 12),
  gtk-update-icon-cache,

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE = 1


# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	dh $@

override_dh_missing:
	dh_missing --fail-missing

## deepin-icon-theme 2020.07.24

=== debian/changelog ===
deepin-icon-theme (2020.07.24-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 28 Jul 2020 10:50:14 -0400

deepin-icon-theme (2020.06.30-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Fri, 03 Jul 2020 13:35:11 -0400

deepin-icon-theme (2020.06.11-2) unstable; urgency=high

  * debian/deepin-icon-theme.preinst: Properly handle package
    upgrade and update-alternatives invocation. (Closes: #962901)

 -- Boyuan Yang <byang@debian.org>  Mon, 15 Jun 2020 21:51:02 -0400

deepin-icon-theme (2020.06.11-1) unstable; urgency=medium

  * New upstream release 2020.06.11. 

 -- Boyuan Yang <byang@debian.org>  Sat, 13 Jun 2020 17:38:07 -0400

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
  Yangfl <mmyangfl@gmail.com>,
  Boyuan Yang <byang@debian.org>,
  Yanhao Mo <yanhaocs@gmail.com>,
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  gtk-update-icon-cache,
  x11-apps,
 Rules-Requires-Root: no

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE = 1

# See https://git.archlinux.org/svntogit/community.git/tree/trunk/PKGBUILD?h=packages/deepin-icon-theme


# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND =


%:
	dh $@

override_dh_auto_build:
	$(MAKE) hicolor-links

execute_after_dh_auto_install:
	cp -a ./Sea ./usr/share/icons/hicolor ./debian/deepin-icon-theme/usr/share/icons/

override_dh_installchangelogs:
	dh_installchangelogs -k CHANGELOG.md

## deepin-icon-theme 2020.09.25

=== Makefile ===
PREFIX = /usr

all: check  cursors-bloom  cursors-bloom-dark cursors-bloom-fantacy

cursors-bloom:
	cd cursors-src/bloom/loginspinner/ && make

cursors-bloom-dark:
	cd cursors-src/bloom-dark/loginspinner/ && make

cursors-bloom-fantacy:
	cd cursors-src/bloom-fantacy/loginspinner/ && make

check: check-same-icon check-perm
	gtk-update-icon-cache bloom || exit 101
	gtk-update-icon-cache bloom-dark || exit 101
	-rm -f bloom/icon-theme.cache
	-rm -f bloom-dark/icon-theme.cache

check-name-unique:
	find bloom -name "*.svg" | xargs -n1 basename | sort | uniq -d | xargs -I '{}' find -name '{}'
	find bloom-dark -name "*.svg" | xargs -n1 basename | sort | uniq -d | xargs -I '{}' find -name '{}'
check-same-icon:
	find bloom -type f | xargs md5sum | sort | uniq --check-chars=32 -d
	find bloom-dark -type f | xargs md5sum | sort | uniq --check-chars=32 -d

check-perm: hicolor-links
	@echo "Fix icon files permission"
	find bloom -type f -exec chmod 644 {} \;
	find bloom-dark -type f -exec chmod 644 {} \;

prepare: check-name-unique check-same-icon
	mkdir -p build

build: prepare convert

convert:
	mkdir -p build
	python tools/convert.py bloom build

clean:
	rm -rf build


install-icons:
	mkdir -p $(DESTDIR)$(PREFIX)/share/icons/bloom
	cp -r bloom/* $(DESTDIR)$(PREFIX)/share/icons/bloom
	mkdir -p $(DESTDIR)$(PREFIX)/share/icons/bloom-dark
	cp -r bloom-dark/* $(DESTDIR)$(PREFIX)/share/icons/bloom-dark
	mkdir -p $(DESTDIR)$(PREFIX)/share/icons/bloom-v20
	cp -r bloom-v20/* $(DESTDIR)$(PREFIX)/share/icons/bloom-v20

install-cursors:
	mkdir -p $(DESTDIR)$(PREFIX)/share/icons/bloom
	cp -r bloom/cursors $(DESTDIR)$(PREFIX)/share/icons/bloom
	install -m644 bloom/cursor.theme $(DESTDIR)$(PREFIX)/share/icons/bloom/cursor.theme

hicolor-links:
	./tools/hicolor.links bloom hicolor.list ./

=== debian/changelog ===
deepin-icon-theme (2020.09.25-1) unstable; urgency=low

  * New upstream release.
  * debian/rules: remove broken files to prevent invalid icon cache.
    (Closes: #964368)
  * debian/rules: Also fix icon permission.

  [ Hu Feng ]
  * debian/control
    + Add Hu Feng to the uploaders list.

 -- Boyuan Yang <byang@debian.org>  Sun, 17 Jan 2021 13:06:55 -0500

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,13 @@
  Yangfl <mmyangfl@gmail.com>,
  Boyuan Yang <byang@debian.org>,
  Yanhao Mo <yanhaocs@gmail.com>,
-Standards-Version: 4.5.0
+ Hu Feng <hufeng@uniontech.com>,
+Standards-Version: 4.5.1
 Build-Depends:
  debhelper-compat (= 13),
  gtk-update-icon-cache,
  x11-apps,
-Rules-Requires-Root: no
+Rules-Requires-Root: binary-targets
 Homepage: https://github.com/linuxdeepin/deepin-icon-theme
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/deepin-icon-theme.git
 Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/deepin-icon-theme

=== debian/rules ===
--- 
+++ 
@@ -24,6 +24,14 @@
 
 execute_after_dh_auto_install:
 	cp -a ./Sea ./usr/share/icons/hicolor ./debian/deepin-icon-theme/usr/share/icons/
+	# https://github.com/linuxdeepin/developer-center/issues/1793
+	# https://github.com/linuxdeepin/deepin-icon-theme/commit/15ec0e917a47361d70c20d6415eb1eb2371672d3
+	# needs Rules-Requires-Root
+	find $(CURDIR)/debian/ -name "* 2.svg" -delete
+
+execute_after_dh_fixperms:
+	find $(CURDIR)/debian/ -name '*.svg' -exec chmod -x {} \;
+	find $(CURDIR)/debian/ -name '*.theme' -exec chmod -x {} \;
 
 override_dh_installchangelogs:
 	dh_installchangelogs -k CHANGELOG.md

## deepin-icon-theme 2021.11.24

=== Makefile ===
--- 
+++ 
@@ -41,19 +41,17 @@
 clean:
 	rm -rf build
 
-
-install-icons:
+install: hicolor-links
 	mkdir -p $(DESTDIR)$(PREFIX)/share/icons/bloom
 	cp -r bloom/* $(DESTDIR)$(PREFIX)/share/icons/bloom
 	mkdir -p $(DESTDIR)$(PREFIX)/share/icons/bloom-dark
 	cp -r bloom-dark/* $(DESTDIR)$(PREFIX)/share/icons/bloom-dark
-	mkdir -p $(DESTDIR)$(PREFIX)/share/icons/bloom-v20
-	cp -r bloom-v20/* $(DESTDIR)$(PREFIX)/share/icons/bloom-v20
-
-install-cursors:
-	mkdir -p $(DESTDIR)$(PREFIX)/share/icons/bloom
-	cp -r bloom/cursors $(DESTDIR)$(PREFIX)/share/icons/bloom
-	install -m644 bloom/cursor.theme $(DESTDIR)$(PREFIX)/share/icons/bloom/cursor.theme
+	mkdir -p $(DESTDIR)$(PREFIX)/share/icons/Vintage
+	cp -r Vintage/* $(DESTDIR)$(PREFIX)/share/icons/Vintage
+	mkdir -p $(DESTDIR)$(PREFIX)/share/icons/bloom-classic
+	cp -r bloom-classic/* $(DESTDIR)$(PREFIX)/share/icons/bloom-classic
+	mkdir -p $(DESTDIR)$(PREFIX)/share/icons/bloom-classic-dark
+	cp -r bloom-classic-dark/* $(DESTDIR)$(PREFIX)/share/icons/bloom-classic-dark
 
 hicolor-links:
 	./tools/hicolor.links bloom hicolor.list ./

=== debian/changelog ===
deepin-icon-theme (2021.11.24-1) unstable; urgency=medium

  * New upstream release. 

 -- Boyuan Yang <byang@debian.org>  Wed, 16 Mar 2022 07:02:14 -0400

deepin-icon-theme (2021.08.19-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches: Dropped, merged upstream.
  * debian/control: Bump Standards-Version to 4.6.0.

 -- Boyuan Yang <byang@debian.org>  Tue, 31 Aug 2021 17:00:31 -0400

deepin-icon-theme (2021.06.09-1) unstable; urgency=medium

  * New upstream release.
  * debian/rules: Drop workaround on broken files, fixed upstream.
  * debian/rules: Update build instruction using Arch Linux PKGBUILD.
  * debian/rules: Disable parallel build for robustness.

 -- Boyuan Yang <byang@debian.org>  Tue, 17 Aug 2021 23:59:53 -0400

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Boyuan Yang <byang@debian.org>,
  Yanhao Mo <yanhaocs@gmail.com>,
  Hu Feng <hufeng@uniontech.com>,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Build-Depends:
  debhelper-compat (= 13),
  gtk-update-icon-cache,

## deepin-icon-theme 2023.04.03

=== debian/changelog ===
deepin-icon-theme (2023.04.03-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright: Updated.

 -- Boyuan Yang <byang@debian.org>  Fri, 25 Aug 2023 13:32:18 -0400

## deepin-icon-theme 2023.11.28

=== debian/changelog ===
deepin-icon-theme (2023.11.28-1) unstable; urgency=medium

  * debian/clean: Clean autogenerated files to ensure successful
    source build after previous build. (Closes: #1044591)
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Fri, 01 Dec 2023 08:58:27 -0500

## deepin-icon-theme 2024.07.31

=== debian/changelog ===
deepin-icon-theme (2024.07.31-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sun, 03 Nov 2024 10:11:52 -0500

## deepin-icon-theme 2025.03.27

=== cursors-src/bloom-fantacy/loginspinner/Makefile ===
all: 
	xcursorgen spinner_48.conf ../../../bloom-fantacy/cursors/loginspinner
	xcursorgen spinner_96.conf ../../../bloom-fantacy/cursors/loginspinner@2x

=== debian/changelog ===
deepin-icon-theme (2025.03.27-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sun, 30 Mar 2025 15:45:26 -0400

## deepin-icon-theme 2025.05.13

=== debian/changelog ===
deepin-icon-theme (2025.05.13) unstable; urgency=medium

  * chore: update bloom theme

 -- YeShanShan <yeshanshan@uniontech.com>  Tue, 13 May 2025 20:59:54 +0800

deepin-icon-theme (2025.03.27) unstable; urgency=medium

  * chore: remove unnecessary quotation marks from the Name field

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 27 Mar 2025 17:41:12 +0800

deepin-icon-theme (2025.03.20) unstable; urgency=medium

  * chore: remove the status icon of deepin-home
  * 更新部分电源托盘图标、添加云盘图标
  * update trash icons for faster rendering
  * update bloom and bloom dark cursor theme and several AI icons
  * update cursor theme of bloom

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 20 Mar 2025 17:51:16 +0800

deepin-icon-theme (2024.07.31) unstable; urgency=medium

  * UNRELEASED

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 31 Jul 2024 15:08:54 +0800

deepin-icon-theme (2024.07.19) unstable; urgency=medium

  * chore: update tray icons
  * release 2024.07.19

 -- Yingzhen zhao  <zhaoyingzhen@uniontech.com>  Fri, 19 Jul 2024 16:58:03 +0800

deepin-icon-theme (2024.07.10) unstable; urgency=medium

  * Fix: some app icons are small on high-res screen

 -- Yutao Meng <mengyutao@deepin.org>  Wed, 10 Jul 2024 11:17:03 +0800

deepin-icon-theme (2024.07.02) unstable; urgency=medium

  * Revert "chore: remove papirus-icon-theme dependency"
  * release 2024.07.02

 -- Zhang kun <zhangkun2@uniontech.com>  Tue, 02 Jul 2024 10:24:08 +0800

deepin-icon-theme (2024.06.21) unstable; urgency=medium

  * chore: remove  papirus-icon-theme dependency
  * release 2024.06.21

 -- Zhang kun <zhangkun2@uniontech.com>  Fri, 21 Jun 2024 17:09:55 +0800

deepin-icon-theme (2024.05.28) unstable; urgency=medium

  * release 2024.05.28

 -- Mike Chen <chenke@deepin.org>  Thu, 13 Jun 2024 13:26:58 +0800

deepin-icon-theme (2024.04.16) unstable; urgency=medium

  * release 2024.04.16

 -- Mike Chen <chenke@deepin.org>  Mon, 22 Apr 2024 16:44:26 +0800

deepin-icon-theme (2024.03.04) unstable; urgency=medium

  * fix #7050

 -- Mike Chen <chenke@deepin.org>  Mon, 04 Mar 2024 17:29:53 +0800

deepin-icon-theme (2024.01.31) unstable; urgency=medium

  * delete useless firefox icons.

 -- LiChengGang <lichenggang@uniontech.com>  Wed, 31 Jan 2024 14:59:19 +0800

deepin-icon-theme (2024.01.16) unstable; urgency=medium

  * release 2024.01.16

 -- Mike Chen <chenke@deepin.org>  Tue, 16 Jan 2024 15:17:04 +0800

deepin-icon-theme (2024.01.15) unstable; urgency=medium

  * fix: add missed link file to fix the onboard icon on dde-dock

 -- chenhongtao <chenhongtao@deepin.org>  Mon, 15 Jan 2024 10:12:02 +0800

deepin-icon-theme (2023.12.13) unstable; urgency=medium

  * fix vintage icon

 -- chenhongtao <chenhongtao@deepin.org>  Wed, 13 Dec 2023 15:44:42 +0800

deepin-icon-theme (2023.11.28) unstable; urgency=medium

  * fix the icon of battery, include name issue and dark and light

 -- chenchongbiao <chenchongbiao@deepin.org>  Tue, 28 Nov 2023 10:55:43 +0800

deepin-icon-theme (2023.11.16) unstable; urgency=medium

  * fix: can not find existed
  * chore: Modify icon name

 -- bluesky <chenchongbiao@deepin.org>  Thu, 16 Nov 2023 10:15:48 +0800

deepin-icon-theme (2023.04.03) unstable; urgency=medium

  * add bloom status icons
  * add cursor theme, Vintage ==> vintage

 -- chenke <chenke@deepin.org>  Mon, 03 Apr 2023 13:53:18 +0800

## deepin-icon-theme 2025.07.18

=== debian/changelog ===
deepin-icon-theme (2025.07.18) unstable; urgency=medium

  * chore: remove obsolete merge_icons_dstore.py script

 -- zhangkun <zhangkun2@uniontech.com>  Fri, 18 Jul 2025 11:08:14 +0800

## deepin-icon-theme 2025.8.14

=== Makefile ===
--- 
+++ 
@@ -46,8 +46,8 @@
 	cp -r bloom/* $(DESTDIR)$(PREFIX)/share/icons/bloom
 	mkdir -p $(DESTDIR)$(PREFIX)/share/icons/bloom-dark
 	cp -r bloom-dark/* $(DESTDIR)$(PREFIX)/share/icons/bloom-dark
-	mkdir -p $(DESTDIR)$(PREFIX)/share/icons/Vintage
-	cp -r Vintage/* $(DESTDIR)$(PREFIX)/share/icons/Vintage
+	mkdir -p $(DESTDIR)$(PREFIX)/share/icons/vintage
+	cp -r vintage/* $(DESTDIR)$(PREFIX)/share/icons/vintage
 	mkdir -p $(DESTDIR)$(PREFIX)/share/icons/bloom-classic
 	cp -r bloom-classic/* $(DESTDIR)$(PREFIX)/share/icons/bloom-classic
 	mkdir -p $(DESTDIR)$(PREFIX)/share/icons/bloom-classic-dark

=== cursors-src/bloom-dark/loginspinner/Makefile ===
all: 
	xcursorgen spinner_48.conf ../../../bloom-dark/cursors/loginspinner
	xcursorgen spinner_96.conf ../../../bloom-dark/cursors/loginspinner@2x

=== cursors-src/bloom/loginspinner/Makefile ===
all: 
	xcursorgen spinner_48.conf ../../../bloom/cursors/loginspinner
	xcursorgen spinner_96.conf ../../../bloom/cursors/loginspinner@2x

=== debian/changelog ===
deepin-icon-theme (2025.8.14-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Mon, 18 Aug 2025 17:30:43 -0400

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE = 1

# See https://github.com/archlinux/svntogit-community/blob/packages/deepin-icon-theme/trunk/PKGBUILD

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND =


%:
	dh $@ --no-parallel

execute_before_dh_auto_build:
	$(MAKE) hicolor-links

execute_after_dh_auto_install:
	cp -a ./Sea ./usr/share/icons/hicolor ./debian/deepin-icon-theme/usr/share/icons/

execute_after_dh_fixperms:
	find $(CURDIR)/debian/ -name '*.svg' -exec chmod -x {} \;
	find $(CURDIR)/debian/ -name '*.theme' -exec chmod -x {} \;

override_dh_installchangelogs:
	dh_installchangelogs -k CHANGELOG.md

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%deepin-icon-theme-$1.tar.gz%" \
 https://github.com/linuxdeepin/deepin-icon-theme/tags \
 (?:.*?/)?(\d[\d.]*)\.tar\.gz debian uupdate

## deepin-icon-theme 2025.9.11

=== debian/changelog ===
deepin-icon-theme (2025.9.11) unstable; urgency=medium

  * chore: remove papirus-icon-theme dependency

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 11 Sep 2025 21:35:04 +0800

deepin-icon-theme (2025.8.28) unstable; urgency=medium

  * chore: update icons

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 28 Aug 2025 14:35:04 +0200

deepin-icon-theme (2025.8.14) unstable; urgency=medium

  * fix: update battery and shutdown icons. #110
  * chore: modify org.deepin.browser.svg

 -- wujiangyu <wujiangyu@uniontech.com>  Thu, 14 Aug 2025 16:51:57 +0800

=== debian/control ===
Source: deepin-icon-theme
Section: x11
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Standards-Version: 4.5.1
Build-Depends:
 debhelper-compat (= 12),
 gtk-update-icon-cache,
 x11-apps,
Rules-Requires-Root: binary-targets
Homepage: https://github.com/linuxdeepin/deepin-icon-theme

Package: deepin-icon-theme
Architecture: all
Depends:
 ${misc:Depends},
Conflicts: deepin-cursor-theme
Suggests: papirus-icon-theme
Description: Deepin Icons
 This package is DeepinIconTheme 

Package: sea-icon-theme
Architecture: all
Depends:
 ${misc:Depends},
Conflicts: deepin-icon-theme (<< 15.12.65)
Description: Deepin Sea Icons 
 This package is DeepinIconTheme Sea

## deepin-icon-theme 2025.12.04

=== debian/changelog ===
deepin-icon-theme (2025.12.04-1) unstable; urgency=medium

  * New upstream release.
  * debian/watch: Update to version 5.
  * debian/control: Sync with upstream.

 -- Boyuan Yang <byang@debian.org>  Wed, 31 Dec 2025 10:27:57 -0500

=== debian/control ===
Source: deepin-icon-theme
Section: x11
Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
Uploaders:
 Yangfl <mmyangfl@gmail.com>,
 Boyuan Yang <byang@debian.org>,
 Yanhao Mo <yanhaocs@gmail.com>,
 Hu Feng <hufeng@uniontech.com>,
Standards-Version: 4.7.3
Build-Depends:
 debhelper-compat (= 13),
 gtk-update-icon-cache,
 x11-apps,
Rules-Requires-Root: binary-targets
Homepage: https://github.com/linuxdeepin/deepin-icon-theme
Vcs-Git: https://salsa.debian.org/pkg-deepin-team/deepin-icon-theme.git
Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/deepin-icon-theme

Package: deepin-icon-theme
Architecture: all
Depends:
 ${misc:Depends},
Suggests:
 papirus-icon-theme,
Provides:
 sea-icon-theme,
Description: Icon Theme for Deepin software and Deepin Desktop Environment
 Deepin Icon Theme is the default icon theme for DDE, based on Papirus icon
 theme. This package contains:
  * Deepin Icon Theme
  * Sea Icon Theme
  * Deepin Cursor Theme
 .
 This package is part of DDE (Deepin Desktop Environment).

=== debian/watch ===
Version: 5

Template: GitHub
Owner: linuxdeepin
Project: deepin-icon-theme
